
<!-- test body with attribute -->

<script type="text/javascript" attr>
;document.addEventListener('DOMContentLoaded',function(){console.log('success')});
</script>

<!-- test body without attribute -->

<script type="text/javascript">
;document.addEventListener('DOMContentLoaded',function(){console.log('success')});
</script>

<!-- test single file with extension -->
<!-- js.js -->
<script type="text/javascript">
;document.addEventListener('DOMContentLoaded',function(){console.log('i love coffee')});
</script>

<!-- test single file without extension -->
<!-- js.js -->
<script type="text/javascript">
;document.addEventListener('DOMContentLoaded',function(){console.log('i love coffee')});
</script>

<!-- test multiple files with extensions -->
<!-- js.js, js2.js -->
<script type="text/javascript">
;document.addEventListener('DOMContentLoaded',function(){console.log('i love coffee')});
;window.onload=function(){console.log('i also love coffee')};
</script>

<!-- test multiple files without extensions -->
<!-- js.js, js2.js -->
<script type="text/javascript">
;document.addEventListener('DOMContentLoaded',function(){console.log('i love coffee')});
;window.onload=function(){console.log('i also love coffee')};
</script>

<!-- test multiple files with attribute -->
<!-- js.js, js2.js -->
<script type="text/javascript" attr>
;document.addEventListener('DOMContentLoaded',function(){console.log('i love coffee')});
;window.onload=function(){console.log('i also love coffee')};
</script>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript"></script>

<!-- test multiple files with attribute -->
<!-- js.js -->
<script type="text/javascript" attr>
;document.addEventListener('DOMContentLoaded',function(){console.log('i love coffee')});
</script>
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript" attr></script>

<!-- test multiple files without attribute -->
<!-- js.js -->
<script type="text/javascript">
;document.addEventListener('DOMContentLoaded',function(){console.log('i love coffee')});
</script>
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript"></script>
